import 'package:gainer_crypto/encrypt_decrypt.dart';

void main() {
  const inputText = "Hello GaiNeR";
  const publicKeyPath = 'test/public.pem';
  const privateKeyPath = 'test/private.pem';

  // RSA Base64 Sign and Verification
  // For Signing input, publicKeyPath and privateKeyPath Mandatory
  String signedValue = "";
  grSign64RSA(
          input: inputText,
          publicKeyPath: publicKeyPath,
          privateKeyPath: privateKeyPath)
      .then((value) => {signedValue = value});

  // For Verification input, signatureBase64, publicKeyPath and privateKeyPath Mandatory
  bool verified = false;
  grVerify64RSA(
          input: inputText,
          signatureBase64: signedValue,
          publicKeyPath: publicKeyPath,
          privateKeyPath: privateKeyPath)
      .then((value) => {verified = value});
}
