// Copyright (c) 2022, Pritam Hazra.

import 'package:encrypt/encrypt.dart';

typedef GRKey = Key;

GRKey grKeyFromBase64(String encoded) {
  return GRKey.fromBase64(encoded);
}

GRKey grKeyFromBase16(String encoded) {
  return GRKey.fromBase16(encoded);
}

GRKey grKeyFromUtf8(String input) {
  return GRKey.fromUtf8(input);
}

GRKey grKeyFromLength(int length) {
  return GRKey.fromLength(length);
}

GRKey grKeyFromSecureRandom(int length) {
  return GRKey.fromSecureRandom(length);
}
