import 'dart:convert';

// import 'package:flutter_test/flutter_test.dart';
// import 'package:gainer_crypto/crypto/crypto_types.dart';
// import 'package:gainer_crypto/crypto/hash.dart';
// import 'package:gainer_crypto/crypto/hmac_hash.dart';
// import 'package:gainer_crypto/encrypt_decrypt/aes.dart';
// import 'package:gainer_crypto/key/key_generator.dart';
import 'package:gainer_crypto/encrypt_decrypt.dart';
import 'package:gainer_crypto/src/encrypt_decrypt/aes.dart';


void main() {
  final key = grKeyFromBase16("1a22bb333ccc4444dddd55555666666eeeee77777777888888889999999990f0");
  // final iv = grIVFromLength(0);
  // grDecrypt64AES(inputBase64: "4add8e7ddf841896eeb004d10d485c9dec8933a1056407b9b49140ddf3903ae9", key: key);
  final decrypted = grDecrypt16AES(
      inputBase16: "4add8e7ddf841896eeb004d10d485c9dec8933a1056407b9b49140ddf3903ae9",
      key: key,
      // iv: iv,
      mode: GRAESMode.ecb,
      padding: GRPadding.pkcs7,
      repeat: 0);
  print(decrypted);
}
