// Copyright (c) 2022, Pritam Hazra.

enum GRCryptoType {
  sha1,
  sha224,
  sha256,
  sha384,
  sha512,
  sha512_224,
  sha512_256,
  md5,
  md2,
  md4,
  // blake2b,
  ripemd128,
  ripemd160,
  ripemd256,
  ripemd320,
  sha3_224,
  sha3_256,
  sha3_384,
  sha3_512,
  keccak224,
  keccak256,
  keccak384,
  keccak512,
  tiger,
  whirlpool,
  sm3
}

enum GRCryptoTypeHMAC {
  hmacSHA1,
  hmacSHA224,
  hmacSHA256,
  hmacSHA384,
  hmacSHA512,
  hmacSHA512_224,
  hmacSHA512_256,
  hmacMD5
}
