// Copyright (c) 2022, Pritam Hazra.

import 'package:crypto/crypto.dart';
import '../crypto_types.dart';

Hash? getHashFor(GRCryptoType type) {
  switch (type) {
    case GRCryptoType.sha1:
      return sha1;
    case GRCryptoType.sha224:
      return sha224;
    case GRCryptoType.sha256:
      return sha256;
    case GRCryptoType.sha384:
      return sha384;
    case GRCryptoType.sha512:
      return sha512;
    case GRCryptoType.sha512_224:
      return sha512224;
    case GRCryptoType.sha512_256:
      return sha512256;
    case GRCryptoType.md5:
      return md5;
    default:
      return null;
  }
}
